#ifndef __INTERFACE_TOOLS_BWINDOW
#define __INTERFACE_TOOLS_BWINDOW

class IToolsWnd : public BWindow {
	friend class EDITOR;
	friend class IEditWnd;
	friend class GTopWnd;
	friend class ITopWnd;
	friend class MTopWnd;
	friend class RTopWnd;
	friend class OTopWnd;

public:
	IToolsWnd(int x,int y,int dx,int dy,EDITOR *editor,TTF_Font *font);
	~IToolsWnd();

	virtual bool cycle(int stx,int sty);

protected:
	virtual void contens_size(int *dx,int *dy);
	virtual void draw_contens(SDL_Surface *sfc,int stx,int sty,int dx,int dy);
	virtual bool button_pressed(int ID);

	EDITOR *editor;
	class BMultiListWnd *plw;
	class BListWnd *ilw;
	List<char> plane_names;
	List<char> interface_names;
};


#endif

